Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class RepoAdminAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.RepoAdminAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class RepoAdminAction

extends org.springframework.webflow.action.FormAction

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`RepoAdminAction()`

Method Summary
`ConfigurationBean` | `getConfiguration()`
`java.lang.String` | `getFlowAttributeFolder()`
`org.springframework.context.MessageSource` | `getMessages()`
`protected java.util.List` | `getPathFolders(java.lang.String uri)`
`RepositoryService` | `getRepository()`
`RepositoryServiceSecurityChecker` | `getRepositoryServiceSecurityChecker()`
`java.util.Map` | `getResourceTypes()`
`org.springframework.webflow.execution.Event` | `goToPage(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `initAction(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `remove(org.springframework.webflow.execution.RequestContext context)`
`void` | `setConfiguration(ConfigurationBean configuration)`
`void` | `setFlowAttributeFolder(java.lang.String flowAttributeFolder)`
`void` | `setMessages(org.springframework.context.MessageSource messages)`
`void` | `setRepository(RepositoryService repository)`
`void` | `setRepositoryServiceSecurityChecker(RepositoryServiceSecurityChecker repositoryServiceSecurityChecker)`
`void` | `setResourceTypes(java.util.Map resourceTypes)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, createFormObject, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

Constructor Detail

### RepoAdminAction

    public RepoAdminAction()

Method Detail

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getResourceTypes

    public java.util.Map getResourceTypes()

  Returns:
    Returns the resourceTypes.

### setResourceTypes

    public void setResourceTypes(java.util.Map resourceTypes)

  Parameters:
    `resourceTypes` - The resourceTypes to set.

### getMessages

    public org.springframework.context.MessageSource getMessages()

### setMessages

    public void setMessages(org.springframework.context.MessageSource messages)

### getConfiguration

    public ConfigurationBean getConfiguration()

### setConfiguration

    public void setConfiguration(ConfigurationBean configuration)

### initAction

    public org.springframework.webflow.execution.Event initAction(org.springframework.webflow.execution.RequestContext context)

### goToPage

    public org.springframework.webflow.execution.Event goToPage(org.springframework.webflow.execution.RequestContext context)

### remove

    public org.springframework.webflow.execution.Event remove(org.springframework.webflow.execution.RequestContext context)

### getPathFolders

    protected java.util.List getPathFolders(java.lang.String uri)

### getFlowAttributeFolder

    public java.lang.String getFlowAttributeFolder()

### setFlowAttributeFolder

    public void setFlowAttributeFolder(java.lang.String flowAttributeFolder)

### getRepositoryServiceSecurityChecker

    public RepositoryServiceSecurityChecker getRepositoryServiceSecurityChecker()

### setRepositoryServiceSecurityChecker

    public void setRepositoryServiceSecurityChecker(RepositoryServiceSecurityChecker repositoryServiceSecurityChecker)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.